# Copyright (C) 2013, 2014 Freescale Semiconductor

DESCRIPTION = "U-Boot i.MX6 SMARC-FiMX6 platforms"
require  recipes-bsp/u-boot/u-boot.inc

PROVIDES += "u-boot"

LICENSE = "GPLv2+"
LIC_FILES_CHKSUM = "file://Licenses/README;md5=025bf9f768cbcb1a165dbe1a110babfb"

PROVIDES += "u-boot"
PV = "2014.04-smarcfimx6"

SRCREV = "79bc910696bbe4ea425900eaf9513e0d8e2a2970"
SRCBRANCH = "smarc-imx_v2014.04_3.14.28_1.0.0_ga"
# eMMC Boot Up
#SRCREV = "17242f3dbeaead1f77f552b138cbbd61608013cc"
#SRCBRANCH = "smarc-emmc-imx_v2014.04_3.14.28_1.0.0_ga"
SRC_URI = "${EMB_UBOOT_MIRROR};protocol=ssh;branch=${SRCBRANCH}"

PR = "r0+gitr${SRCPV}"

S = "${WORKDIR}/git"

PACKAGE_ARCH = "${MACHINE_ARCH}"
COMPATIBLE_MACHINE = "(mx6)"

